Subject: Re: bug#20887: 'make bootstrap' now verrrry slow due to recent isearch changes

From: Artur Malabarba <[email-masked]>
Date: Fri, 26 Jun 2015 12:41:52 +0100

> It's not faster, but it's not slower, either.  Looping is not what
> takes time here, and if you think map-char-table can somehow magically
> avoid any looping, you should look at its implementation.

Not magic, witchcraft of course. Completely different things!

But seriously. My logic was just: there are 7k entries with a nil
value, `map-char-table' does the "funcall func + check for nil" stuff
in c code, whereas the loop does it in lisp code; so *if there's a
difference*, it's probably in favor of map-char-table.
But your test has shown that there's probably no significant difference.

That said, I was merely speculating. If you have any reason whatsoever
to prefer the loop (maybe it's even more robust if the table ever
changes) feel free to push, I'm not particular. :-)